import {FormSchema} from "@/components/Form";
import {BasicColumn} from "@/components/Table";

/**新建文件*/
export const physicalModelFormSchema: any[] = [
  {
    field: 'modelId',
    label: '路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  {
    field: 'modelName',
    label: '文件名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
  {
    field: 'username',
    label: '文件类型',
    componentProps: {
      defaultValue: '落地检核',
      disabled: true,
    },
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];

/**新建文件夹*/
export const physicalModelAdd: any[] = [
  {
    field: 'modelId',
    label: '文件夹路径',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'modelName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
  },
  {
    field: 'name',
    label: '文件夹名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入文件名称',
      },
    ],
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入关键字搜索',
    },
    colProps: { span: 6 },
  },
];


export const columnsSystem: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'modelName',
    width: 150,
    // onEditRow:true
    slots: { customRender: 'sourceType' },
  },
  {
    title: '路径',
    dataIndex: 'modelId',
    width: 150,
    // onEditRow:true
  },
  {
    title: '编辑状态',
    dataIndex: 'editStatus',
    width: 150,
    // onEditRow:true
  },
  {
    title: '类型',
    dataIndex: 'type',
    width: 150,
    // onEditRow:true
  },
  {
    title: '负责人',
    dataIndex: 'leader',
    width: 150,
    // onEditRow:true
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 150,
    // onEditRow:true
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 150,
    // onEditRow:true
  },
];



